<?php

namespace Strig\Category\Adapter;

use Strig\Gath\Gath;

class GathCategoryAdapter implements CategoryAdapterInterface
{
    protected $gath;

    public function __construct(Gath $gath)
    {
        $this->gath = $gath;
    }

    public function getAll()
    {
        return $this->gath->getCategories();
    }

    public function getByParent(int $parent)
    {
        return $this->gath->getCategoriesByParent($parent);
    }

    /**
     * @param array $categories
     * @param array $dimensions
     * @param string $path
     * @param string $baseUri
     */
    public function getSprites(array $categories, array $dimensions, string $path, string $baseUri)
    {
        // TODO: Implement getSprites() method.
    }

    /**
     * @param array $categories
     * @param string $dimension
     * @param string $path
     * @param string $baseUri
     */
    public function getImages(array $categories, string $dimension, string $path, string $baseUri)
    {
        // TODO: Implement getImages() method.
    }
}
